package com.reachauto.vspcloud;

import com.github.xiaoymin.swaggerbootstrapui.annotations.EnableSwaggerBootstrapUI;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration;
import org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import springfox.documentation.swagger2.annotations.EnableSwagger2;


@EnableSwagger2
@EnableSwaggerBootstrapUI
@EnableDiscoveryClient
@EnableFeignClients
@SpringBootApplication(scanBasePackages = "com.reachauto.vspcloud",exclude={DataSourceAutoConfiguration.class, HibernateJpaAutoConfiguration.class})
public class LogSearchServiceApplication {
    public static void main(String[] args) {
        String[] argument = new String[args.length + 2];

        System.arraycopy(args, 0, argument, 0, args.length);

        argument[args.length] = "--async.log.level=INFO";
        argument[args.length + 1] = "--async.log.output=console";
        SpringApplication.run(LogSearchServiceApplication.class, argument);
    }

}
