package com.reachauto.vspcloud.common;

import org.apache.commons.codec.binary.Hex;

import javax.crypto.Cipher;
import java.io.UnsupportedEncodingException;
import java.security.Key;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Random;
import java.util.UUID;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class CommonMethods {
    /**
     * 生成UUID
     * @param
     * @return
     */
    public static String uuid(){
        //生成UUID
        return UUID.randomUUID().toString().replaceAll("-", "");
    }
    /**
     * 失效时间
     * @param
     * @return
     */
    public static boolean checkTime(long curTime,long lockTime){
        //大于10分钟返回true
        return 600000 <= (curTime - lockTime);
    }


    /**
     * 随机生成6位验证码
     * @param
     * @return
     */
    public static String getRandom(){
        String code = "";
        Random random = new Random();
        for (int i = 0; i < 6; i++) {
            int r = random.nextInt(10); //每次随机出一个数字（0-9）
            code = code + r;  //把每次随机出的数字拼在一起
        }
        return code;

    }

    /**
     * 密码SHA-256加密
     * @param
     * @return
     */
    public static String getSHACode(String password){

        MessageDigest messageDigest;
        String encdeStr = "";
        try {
            messageDigest = MessageDigest.getInstance("SHA-256");
            byte[] hash = messageDigest.digest(password.getBytes("UTF-8"));
            encdeStr = Hex.encodeHexString(hash);
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return encdeStr;

    }
    /**
     * 解密DES码
     * @param secret 密文
     * @return result 明文
     */

    public static String decodeDES(String secret){
        CommonMethods tempCommonMethods=new CommonMethods();
        String defaultSecretKey = "nsrvspkey"; //默认密钥
        String result=null;
        try{

            Key k=tempCommonMethods.getKey(defaultSecretKey.getBytes());
            Cipher decryptCipher= Cipher.getInstance("DES");
            decryptCipher.init(Cipher.DECRYPT_MODE, k);
            byte[] secretByte=tempCommonMethods.hexStr2ByteArr(secret);
            result=new String(decryptCipher.doFinal(secretByte));

        }catch(Exception e){
            e.printStackTrace();
        }

             return result;

    }


    private  byte[] hexStr2ByteArr(String strIn) throws Exception {
        byte[] arrB = strIn.getBytes();
        int iLen = arrB.length;
        // 两个字符表示一个字节，所以字节数组长度是字符串长度除以2
        byte[] arrOut = new byte[iLen / 2];
        for (int i = 0; i < iLen; i = i + 2) {
            String strTmp = new String(arrB, i, 2);
            arrOut[i / 2] = (byte) Integer.parseInt(strTmp, 16);
        }
        return arrOut;
    }

    private Key getKey(byte[] arrBTmp) throws Exception {
        // 创建一个空的8位字节数组（默认值为0）
        byte[] arrB = new byte[8];
        // 将原始字节数组转换为8位
        for (int i = 0; i < arrBTmp.length && i < arrB.length; i++) {
            arrB[i] = arrBTmp[i];
        }
        // 生成密钥
        Key key = new javax.crypto.spec.SecretKeySpec(arrB, "DES");
        return key;
    }



    /**
     * 手机号验证
     * @param
     * @return
     */
    public static boolean isPhone(String phone) {
        String regex = "^((13[0-9])|(14[5,7,9])|(15([0-3]|[5-9]))|(166)|(17[0,1,3,5,6,7,8])|(18[0-9])|(19[8|9]))\\d{8}$";
        if (phone.length() != 11) {

            return false;
        } else {
            Pattern p = Pattern.compile(regex);
            Matcher m = p.matcher(phone);

            return m.matches();
        }
    }




}
