package com.reachauto.vspcloud.common.Es;

import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.elasticsearch.client.ClientConfiguration;
import org.springframework.data.elasticsearch.client.RestClients;

import java.time.Duration;

/**
 * @author user
 * @date 2020-04-09
 */
@Configuration
public class ElasticsearchConfig {

  @Value("${spring.es.endpoint}")
  private String endPoint;

  @Value("${spring.es.username}")
  private String username;

  @Value("${spring.es.password}")
  private String password;

//  @Bean
//  public ReactiveElasticsearchClient reactiveElasticsearchClient() {
//    ClientConfiguration clientConfiguration =
//        ClientConfiguration.builder()
//            .connectedTo(endPoint)
//            .withConnectTimeout(Duration.ofSeconds(5))
//            .withSocketTimeout(Duration.ofSeconds(3))
//            .withBasicAuth(username, password)
//            .build();
//    return ReactiveRestClients.create(clientConfiguration);
//  }

  @Bean
  public RestHighLevelClient restHighLevelClient() {
    ClientConfiguration clientConfiguration =
        ClientConfiguration.builder()
            .connectedTo(endPoint)
            .withConnectTimeout(Duration.ofSeconds(5))
            .withSocketTimeout(Duration.ofSeconds(3))
            .withBasicAuth(username, password)
            .build();
    return RestClients.create(clientConfiguration).rest();
  }
}
