package com.reachauto.vspcloud.logsearch.controller;

import com.reachauto.vspcloud.common.response.Response;
import com.reachauto.vspcloud.logsearch.bean.vo.CrashListReq;
import com.reachauto.vspcloud.logsearch.bean.vo.CrashLogListReq;
import com.reachauto.vspcloud.logsearch.bean.vo.CrashStackReq;
import com.reachauto.vspcloud.logsearch.bean.vo.RemoteControlLogListReq;
import com.reachauto.vspcloud.logsearch.service.CrashLogSearchService;
import com.reachauto.vspcloud.logsearch.service.LogSearchService;
import java.io.Console;
import java.io.IOException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/eslogsearch")
@CrossOrigin
public class CrashLogSearchControler {

    @Autowired
    private CrashLogSearchService crashLogSearchService;

    /**
     * 机型
     * @param
     * @return
     * @throws IOException
     */
    @RequestMapping(value = "/getOsModel", method = RequestMethod.POST)
    public Response getOsModelList() throws IOException {
        return crashLogSearchService.osModelList();
    }

    /**
     * 系统
     * @param
     * @return
     * @throws IOException
     */
    @RequestMapping(value = "/getSysVersion", method = RequestMethod.POST)
    public Response getSysVersionList() throws IOException {
      return crashLogSearchService.sysVersionList();
    }

    /**
     * 崩溃列表
     * @param req
     * @return
     * @throws IOException
     */
    @RequestMapping(value = "/getCrashList", method = RequestMethod.POST)
    public Response getCrashlList(@RequestBody CrashListReq req) throws IOException {
        return crashLogSearchService.crashlList(req);
    }

    /**
     * 获取错误详情和时间
     * @param req
     * @return
     * @throws IOException
     */
    @RequestMapping(value = "/getCrashStack", method = RequestMethod.POST)
    public Response getCrashStack(@RequestBody CrashStackReq req) throws IOException {
        return crashLogSearchService.getCrashStack(req);
    }
}
