package com.reachauto.vspcloud.logsearch.controller;

import com.reachauto.vspcloud.common.response.Response;
import com.reachauto.vspcloud.logsearch.bean.vo.RemoteControlLogListReq;
import com.reachauto.vspcloud.logsearch.service.LogSearchService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;

@Slf4j
@RestController
@RequestMapping("/api/eslogsearch-service/v1/logsearch")
public class LogSearchControler {
    @Autowired
    private LogSearchService logSearchService;

    @RequestMapping(value = "/remoteControlLogList", method = RequestMethod.POST)
    public Response remoteControlLogList(@RequestBody RemoteControlLogListReq req) throws IOException {
        return logSearchService.remoteControlList(req);
    }

    @RequestMapping(value = "/remoteControlLogDetail", method = RequestMethod.GET)
    public Response remoteControlLogDetail(@RequestParam(name = "ptxId") String ptxId,
                                           @RequestParam(name = "requestId", required = false) String requestId,
                                           @RequestParam(name = "queryTime") Long queryTime) throws IOException {
        return logSearchService.remoteControlDetail(ptxId, requestId, queryTime);
    }
}
